#
#   Copyright 2012 Andrii Golovynskyi
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

$ENV{LANG} = "C";

sub ex {
  my ($cmd) = @_;
  if ($cmd_prefix eq "") {
    # Local
    return `$cmd`;
  } else {
    # Remote
    return `$cmd_prefix '$cmd'`;
#print "$cmd_prefix '$cmd'";
  }
}

sub printjson {
  my $href = shift;
  if (defined $options{d}) {
    print  JSON->new->utf8(1)->pretty(1)->encode($href);
  } else {
    print encode_json($href);
  }
}

sub str2sec($){
  my $time = shift;
  my $dump;
  my $dump2;
  if (my ($dump,$day,$dump2,$hour,$min,$sec) = $time =~ /((\d+)[- ])?((\d+):)?(\d+):(\d+)/) {
    $day = 0 if not defined $day;
    $hour = 0 if not defined $hour;
    $min = 0 if not defined $min;
    $sec = 0 if not defined $sec;
    return $sec + $min*60 + $hour*3600 + $day*86400;
  }
  return $time;
}

1;

